Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.src
Class ComponentScatteredFeatureJunglePyramid

    java.lang.Object
      net.minecraft.src.StructureComponent
          net.minecraft.src.ComponentScatteredFeatureJunglePyramid

    public class ComponentScatteredFeatureJunglePyramid

extends StructureComponent

Field Summary
`static WeightedRandomChestContent[]` | `junglePyramidsChestContents` List of Chest contents to be generated in the Jungle Pyramid chests.
`static WeightedRandomChestContent[]` | `junglePyramidsDispenserContents` List of Dispenser contents to be generated in the Jungle Pyramid dispensers.

Constructor Summary
`ComponentScatteredFeatureJunglePyramid(Random par1Random, int par2, int par3)`

Method Summary
`boolean` | `addComponentParts(World par1World, Random par2Random, StructureBoundingBox par3StructureBoundingBox)` second Part of Structure generating, this for example places Spiderwebs, Mob Spawners, it closes Mineshafts at the end, it adds Fences...

Methods inherited from class net.minecraft.src.StructureComponent
`buildComponent, findIntersecting, getBoundingBox, getCenter, getComponentType`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### junglePyramidsChestContents

    public static final WeightedRandomChestContent[] junglePyramidsChestContents

  List of Chest contents to be generated in the Jungle Pyramid chests.

### junglePyramidsDispenserContents

    public static final WeightedRandomChestContent[] junglePyramidsDispenserContents

  List of Dispenser contents to be generated in the Jungle Pyramid dispensers.

Constructor Detail

### ComponentScatteredFeatureJunglePyramid

    public ComponentScatteredFeatureJunglePyramid(Random par1Random,
                                                  int par2,
                                                  int par3)

Method Detail

### addComponentParts

    public boolean addComponentParts(World par1World,
                                     Random par2Random,
                                     StructureBoundingBox par3StructureBoundingBox)

  second Part of Structure generating, this for example places Spiderwebs, Mob Spawners, it closes Mineshafts at the end, it adds Fences...

  Specified by:
    `addComponentParts` in class `StructureComponent`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD